; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Remove script that stops horde from spawning when in the CEDA trailer
modify:
{
	match:
	{
		"targetname" "finale_cleanse_entrance_door"
	}
	delete:
	{
		"OnClose" "directorBeginScriptdirector_quiet.nut01"
	}
}
; --- Replace event director script with modified version
{
	match:
	{
		"targetname" "finale_start_trigger"
	}
	delete:
	{
		"OnStartTouch" "directorBeginScriptdirector_onslaught.nut1-1"
	}
	insert:
	{
		"OnStartTouch" "director,BeginScript,director_onslaught_rework_c5m2,1,-1"
	}
}
; --- Run script to check survivor flow progression
add:
{
	"classname" "logic_timer"
	"targetname" "OnslaughtFlowChecker"
	"StartDisabled" "1"
	"RefireTime" "1"
	"vscripts" "director_onslaught_flow_checker"
	; --- Check survivor flow periodically
	"OnTimer" "OnslaughtFlowChecker,RunScriptCode,OnslaughtCheckFlow(),0,-1"
	; --- Called by director script when tank spawns
	"OnUser1" "OnslaughtFlowChecker,RunScriptCode,OnslaughtGetStartingFlow(),0,-1"
	; --- Clear bypass markers
	;"OnUser2" "OnslaughtFlowChecker,RunScriptCode,KillBypassMarkers(),0,-1"
}
modify:
{
	match:
	{
		"targetname" "finale_alarm_stop_button"
	}
	insert:
	{
		;"OnPressed" "OnslaughtFlowChecker,FireUser2,,0,-1"
		"OnPressed" "OnslaughtFlowChecker,Kill,,1,-1"
	}
}
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
filter:
; --- Remove 3 (out of 4) pill spawns at the humvee outside saferoom
{
	"hammerid" "1867354"
}
{
	"hammerid" "1867374"
}
{
	"hammerid" "1867352"
}
; --- Removed pill spawn behind porta potties outside saferoom
{
	"hammerid" "2304469"
}
; --- Add a shotgun spawn to the middle of the park so that both weapons are available
add:
{
	"classname" "weapon_spawn"
	"origin" "-6720 -2157 -244"
	"angles" "-82 270 90"
	"weapon_selection" "tier1_shotgun"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Remove template that removes weapon spawns at the event only on the first round
filter:
{
	"targetname" "case_weapon_spawn"
}
; --- Ammo pile by the event button
add:
{
	"classname" "weapon_ammo_spawn"
	"origin" "-7985 -5848 -32"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Remove some useless pills at the very end of the map
filter:
{
	"hammerid" "2305355"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Make the car at the start unhittable
filter:
{
	"targetname" "InstanceAuto17-car_physics"
}
{
	"hammerid" "2332087"
}
add:
{
	"classname" "prop_dynamic"
	"origin" "-3616 -1776 -376"
	"angles" "0 -150 0"
	"model" "models/props_vehicles/cara_82hatchback_wrecked.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "saferoom_car_dynamic"
}
{
	"classname" "prop_dynamic"
	"origin" "-3616 -1776 -376"
	"angles" "0 -150 0"
	"model" "models/props_vehicles/cara_82hatchback_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under car
{
	"classname" "logic_auto"
	"OnMapSpawn" "anv_mapfixes_losfix_saferoom_car,AddOutput,mins -67 -2 -9,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_saferoom_car,AddOutput,maxs 67 2 9,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_saferoom_car,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-3603 -1767 -374"
	"targetname" "anv_mapfixes_losfix_saferoom_car"
}
; --- Apply color selection to new car
modify:
{
	match:
	{
		"targetname" "InstanceAuto17-case_car_color"
	}
	insert:
	{
		"OnCase08" "saferoom_car_dynamic,Color,99 135 157,0,-1"
		"OnCase07" "saferoom_car_dynamic,Color,226 188 87,0,-1"
		"OnCase06" "saferoom_car_dynamic,Color,156 81 62,0,-1"
		"OnCase05" "saferoom_car_dynamic,Color,197 176 129,0,-1"
		"OnCase04" "saferoom_car_dynamic,Color,114 80 52,0,-1"
		"OnCase03" "saferoom_car_dynamic,Color,162 189 196,0,-1"
		"OnCase02" "saferoom_car_dynamic,Color,253 241 203,0,-1"
		"OnCase01" "saferoom_car_dynamic,Color,52 46 46,0,-1"
	}
}


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from standing on the fences near the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-3648 -2526 -36"
	"mins" "-48 -9 -172"
	"maxs" "48 9 172"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3744 -2486 -36"
	"mins" "-48 -9 -172"
	"maxs" "48 9 172"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3420 -2038 -36"
	"mins" "-48 -9 -172"
	"maxs" "48 9 172"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3522 -2055 -36"
	"angles" "0 15 0"
	"mins" "-48 -9 -172"
	"maxs" "48 9 172"
	"boxmins" "-48 -9 -172"
	"boxmaxs" "48 9 172"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3563 -2131 -36"
	"angles" "0 74 0"
	"mins" "-48 -9 -172"
	"maxs" "48 9 172"
	"boxmins" "-48 -9 -172"
	"boxmaxs" "48 9 172"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing the generator pole by the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-4232 -2599 -113"
	"mins" "-6 -6 -143"
	"maxs" "6 6 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the restrooms by the park entrance
{
	"classname" "env_physics_blocker"
	"origin" "-4800 -2208 768"
	"mins" "-128 -392 -896"
	"maxs" "128 392 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5088 -2212 768"
	"mins" "-160 -196 -896"
	"maxs" "160 196 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing the generator pole in the middle of the park
{
	"classname" "env_physics_blocker"
	"origin" "-6686 -2221 -154"
	"mins" "-5 -6 -98"
	"maxs" "5 6 98"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the restrooms by the park exit
{
	"classname" "env_physics_blocker"
	"origin" "-7632 -1214 764"
	"mins" "-204 -2 -900"
	"maxs" "204 2 900"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7632 -514 764"
	"mins" "-204 -2 -900"
	"maxs" "204 2 900"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7426 -864 764"
	"mins" "-2 -352 -900"
	"maxs" "2 352 900"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7838 -864 764"
	"mins" "-2 -352 -900"
	"maxs" "2 352 900"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing the generator pole before the alley
{
	"classname" "env_physics_blocker"
	"origin" "-8349 -3357 -111"
	"mins" "-4 -7 -143"
	"maxs" "4 7 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on an exploitable balcony before the alley
{
	"classname" "env_physics_blocker"
	"origin" "-8568 -3870.5 -165"
	"mins" "-9 -131.5 -82"
	"maxs" "9 131.5 82"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing the generator pole before the CEDA trailer
{
	"classname" "env_physics_blocker"
	"origin" "-9899 -4854 -113"
	"mins" "-5 -7 -143"
	"maxs" "5 7 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the filing cabinets at the event
{
	"classname" "env_physics_blocker"
	"origin" "-6914 -5777 704"
	"mins" "-32 -13 -960"
	"maxs" "32 13 960"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6688 -5760 704"
	"mins" "-96 -13 -960"
	"maxs" "96 13 960"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6688 -5680 704"
	"mins" "-96 -13 -960"
	"maxs" "96 13 960"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on a sign by the bus station
{
	"classname" "env_physics_blocker"
	"origin" "-8551.5 -6310.5 86"
	"mins" "-1.5 -5.5 -202"
	"maxs" "1.5 5.5 202"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the bus station roof
{
	"classname" "env_physics_blocker"
	"origin" "-8096 -6397 795"
	"mins" "-390 -67 -869"
	"maxs" "390 67 869"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on top of various props in the bus station
{
	"classname" "env_physics_blocker"
	"origin" "-8364 -6532 -128"
	"mins" "-20 -31 -120"
	"maxs" "20 31 120"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-8384 -6636 -128"
	"mins" "-1 -60 -120"
	"maxs" "1 60 120"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-8336 -6767 -74"
	"mins" "-32 -1 -66"
	"maxs" "32 1 66"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-8080 -6767 -74"
	"mins" "-32 -1 -66"
	"maxs" "32 1 66"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7814 -6473 -59"
	"mins" "-32 -1 -51"
	"maxs" "32 1 51"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7692 -6473 -59"
	"mins" "-32 -1 -51"
	"maxs" "32 1 51"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7916 -6808 -128"
	"mins" "-18 -24 -120"
	"maxs" "18 24 120"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7548 -6572 -128"
	"mins" "-19 -24 -120"
	"maxs" "19 24 120"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7528 -6713 -67"
	"mins" "-1 -44 -56"
	"maxs" "1 44 56"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block a perma-stuck out of bounds spot near the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-2700 -1120 -8"
	"mins" "-140 -96 -208"
	"maxs" "140 96 208"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block a stuck spot on the stairs in the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-3998 -1343.5 -209"
	"mins" "-45 -0.5 -25"
	"maxs" "45 0.5 25"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Fix a perma-stuck spot on a ladder before the event that was moved in TLS update
{
	"classname" "env_physics_blocker"
	"origin" "-9295 -5123 -236"
	"mins" "-9 -9 -20"
	"maxs" "9 9 20"
	"initialstate" "1"
	"BlockType" "2"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
; --- Make the CEDA doors open faster
modify:
{
	match:
	{
		"targetname" "finale_cleanse_entrance_door"
	}
	replace:
	{
		"speed" "120"
	}
}
{
	match:
	{
		"targetname" "finale_cleanse_exit_door"
	}
	replace:
	{
		"speed" "120"
	}
}
; --- Remove the trash can in the alley
filter:
{
	"hammerid" "453597"
}
add:
; --- Clipping to stop players getting stuck on debris before event
{
	"classname" "env_physics_blocker"
	"origin" "-9488 -3668 -255"
	"mins" "-94.5 -143 -4"
	"maxs" "94.5 143 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9488 -3668 -247"
	"mins" "-94.5 -141 -4"
	"maxs" "94.5 141 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9488 -3668 -239"
	"mins" "-94.5 -139 -4"
	"maxs" "94.5 139 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9476 -3704 -233"
	"mins" "-41.5 -32 -2"
	"maxs" "41.5 32 2"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9459 -3702 -225"
	"mins" "-14.5 -22.5 -6"
	"maxs" "14.5 22.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9448 -3607 -232"
	"mins" "-55 -48 -3"
	"maxs" "55 48 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9432 -3610 -224"
	"mins" "-32.5 -42.5 -4.5"
	"maxs" "32.5 42.5 4.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9695 -3846 -232"
	"mins" "-42.5 -77 -4.5"
	"maxs" "42.5 77 4.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9621 -3754 -243"
	"mins" "-26 -35.5 -5.5"
	"maxs" "26 35.5 5.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9612 -3682 -248"
	"mins" "-29 -37.5 -6"
	"maxs" "29 37.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9691 -3694 -252"
	"mins" "-50 -48 -6"
	"maxs" "50 48 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9691 -3700 -241"
	"mins" "-50 -20.5 -5"
	"maxs" "50 20.5 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9723 -3722 -231"
	"mins" "-12 -15.5 -5"
	"maxs" "12 15.5 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-9620 -3749 -234"
	"mins" "-24 -15.5 -3.5"
	"maxs" "24 15.5 3.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on body bags at the end of the event
{
	"classname" "env_physics_blocker"
	"origin" "-7275 -6481 -245"
	"mins" "-175.5 -49 -4"
	"maxs" "175.5 49 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7275 -6481 -237"
	"mins" "-174.5 -48 -4"
	"maxs" "174.5 48 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7119 -6487 -232"
	"mins" "-10.5 -21.5 -1"
	"maxs" "10.5 21.5 1"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7271 -6383 -245"
	"mins" "-106.5 -49.5 -4"
	"maxs" "106.5 49.5 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7271 -6383 -237"
	"mins" "-105.5 -48.5 -4"
	"maxs" "105.5 48.5 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7448 -6406 -245"
	"angles" "0 10 0"
	"mins" "-84 -57 -4"
	"maxs" "84 57 4"
	"boxmins" "-84 -57 -4"
	"boxmaxs" "84 57 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7448 -6406 -237"
	"angles" "0 10 0"
	"mins" "-83 -56 -4"
	"maxs" "83 56 4"
	"boxmins" "-83 -56 -4"
	"boxmaxs" "83 56 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping to assist infected players with the jump onto the bridge before the CEDA trailer
{
	"classname" "env_physics_blocker"
	"origin" "-9140 -4760 183"
	"mins" "-94.5 -15 -3"
	"maxs" "94.5 15 3"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Clipping on fence to the right of CEDA trailer to help infected jump on top of the purple clips
{
	"classname" "env_physics_blocker"
	"origin" "-9399 -6320 -119"
	"mins" "-3 -4 -9"
	"maxs" "3 4 9"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Plywood on the tarps at the event so survivors / jockeys can walk over the fences
{
	"classname" "prop_dynamic"
	"origin" "-8091 -5603 -137"
	"angles" "30 270 180"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8043 -5603 -137"
	"angles" "30 270 180"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "tarp_plywood_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "-7443 -5603 -137"
	"angles" "30 270 180"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7395 -5603 -137"
	"angles" "30 270 180"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "tarp_plywood_lighting"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-8091 -5603 -137"
	"targetname" "tarp_plywood_lighting"
}
; --- Add missing texture to roof in the event area
{
	"classname" "prop_dynamic"
	"origin" "-7232 -5186 112"
	"angles" "0 270 0"
	"model" "models/props_update/c5m2_nodraw_eventroof.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Allow ghost SI to pass through the bus station doors before they open
modify:
{
	match:
	{
		"parentname" "finale_end_doors_left"
		"classname" "prop_dynamic"
	}
	insert:
	{
		"solid" "0"
	}
}
modify:
{
	match:
	{
		"parentname" "finale_end_doors_right"
		"classname" "prop_dynamic"
	}
	insert:
	{
		"solid" "0"
	}
}
; --- Improve visibility of ladders by the bus station due to lighting issues
add:
; --- Ladder by bus station exit to get on the roof
{
	"classname" "prop_dynamic"
	"origin" "-7485 -7052 8"
	"angles" "0 90 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Ladder directly in front of previous ladder
{
	"classname" "prop_dynamic"
	"origin" "-7652 -7052 120"
	"angles" "0 90 0"
	"model" "models/props_rooftop/gutter_pipe_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Ladder on highest platform of bus station roof
{
	"classname" "prop_dynamic"
	"origin" "-7972 -7550 216"
	"angles" "0 90 0"
	"model" "models/props_rooftop/gutter_pipe_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Extend a wall in the park on the left path near the start
{
	"classname" "prop_dynamic"
	"origin" "-5248 -3956 -224"
	"angles" "0 180 0"
	"model" "models/props_urban/gate_wall001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5248 -3912 -224"
	"angles" "0 270 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on wall
{
	"classname" "env_physics_blocker"
	"origin" "-5248 -3946 800"
	"mins" "-12 -46 -896"
	"maxs" "12 46 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Create a more restricted path by the gazebo in the park by extending a wall and hedges
{
	"classname" "prop_dynamic"
	"origin" "-6272 -4116 -272"
	"angles" "0 0 0"
	"model" "models/props_urban/gate_wall001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6272 -3976 -272"
	"angles" "0 0 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6279 -3230 -265"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_seethrough.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting2"
}
{
	"classname" "prop_dynamic"
	"origin" "-6279 -3466 -270"
	"angles" "-2 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_seethrough.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting2"
}
; --- Clipping on walls and hedges
{
	"classname" "env_physics_blocker"
	"origin" "-6272 -4105 752"
	"mins" "-12 -142 -896"
	"maxs" "12 142 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6279 -3350 763"
	"mins" "-20 -246 -896"
	"maxs" "20 246 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-6400 -4156 -272"
	"targetname" "path_wall_lighting1"
}
{
	"classname" "info_target"
	"origin" "-6272 -4116 -272"
	"targetname" "path_wall_lighting2"
}
; --- Extend a hedge by the gazebo for more spawns
{
	"classname" "prop_dynamic"
	"origin" "-6742 -3337 -207"
	"angles" "0 86.5 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting2"
}
; --- Block survivors from standing on hedge
{
	"classname" "env_physics_blocker"
	"origin" "-6742 -3338 768"
	"mins" "-23 -62 -896"
	"maxs" "23 62 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Extend wall in front of gazebo by the park exit
{
	"classname" "prop_dynamic"
	"origin" "-7808 -3692 -268"
	"angles" "0 180 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7808 -3596 -268"
	"angles" "0 180 0"
	"model" "models/props_urban/gate_wall001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7808 -3566 -268"
	"angles" "0 270 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on wall
{
	"classname" "env_physics_blocker"
	"origin" "-7808 -3645 756"
	"mins" "-12 -91 -896"
	"maxs" "12 91 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the gate by the alley with a wall, T1 weapons cannot wallbang this
{
	"classname" "prop_dynamic"
	"origin" "-8128.9 -3360 -256"
	"angles" "0 180 0"
	"model" "models/props_urban/gate_wall001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extend hedges at the start on the right side of the park
{
	"classname" "prop_dynamic"
	"origin" "-5217 -799 -247"
	"angles" "0 91 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5245 -702 -243"
	"angles" "0 112 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extend wall on right side of the park
{
	"classname" "prop_dynamic"
	"origin" "-5504 -236 -224"
	"angles" "0 0 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5504 -312 -224"
	"angles" "0 270 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Trees on right side of the park
{
	"classname" "prop_dynamic"
	"origin" "-5681 -308 -232"
	"angles" "0 153 0"
	"model" "models/props_foliage/urban_tree_giant02_medium.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6269 -485 -247"
	"angles" "0 13 0"
	"model" "models/props_foliage/urban_trees_cluster02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Lamp posts on right side of park
{
	"classname" "prop_dynamic"
	"origin" "-5354 -667 -223"
	"angles" "0 0 0"
	"model" "models/props_downtown/street_lamp01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5668 -618 -228"
	"angles" "0 0 0"
	"model" "models/props_downtown/street_lamp01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5953 -698 -247"
	"angles" "0 0 0"
	"model" "models/props_downtown/street_lamp01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6200 -880 -257"
	"angles" "0 0 0"
	"model" "models/props_downtown/street_lamp01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Create a more restricted path by the restrooms on the right side of the park by extending a hedge
{
	"classname" "prop_dynamic"
	"origin" "-6511 -1187 -257"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting2"
}
; --- Clipping on hedge
{
	"classname" "env_physics_blocker"
	"origin" "-6511 -1187 776"
	"mins" "-20 -127 -896"
	"maxs" "20 127 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-6616 -1360 -256"
	"targetname" "restroom_hedge_lighting"
}
; --- Foliage on right side of park
{
	"classname" "prop_dynamic"
	"origin" "-5661 -1062 -207"
	"angles" "0 300 0"
	"model" "models/props_foliage/urban_tree_base_bushes01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5661 -1062 -198"
	"angles" "0 120 0"
	"model" "models/props_foliage/urban_tree_base_bushes01_large.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5672 -313 -225"
	"angles" "0 135 0"
	"model" "models/props_foliage/tree_base_bushes02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6478 -805 -256"
	"angles" "0 283 0"
	"model" "models/props_foliage/urban_bush02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6377 -725 -256"
	"angles" "0 128 0"
	"model" "models/props_foliage/urban_bush02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6269 -618 -256"
	"angles" "0 143 0"
	"model" "models/props_foliage/urban_bush02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Extend a hedge by an entrance to the middle of the park by the restrooms
{
	"classname" "prop_dynamic"
	"origin" "-7201 -1694 -256"
	"angles" "0 321.5 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "path_wall_lighting2"
}
; --- Tree in the park by the restrooms
{
	"classname" "prop_dynamic"
	"origin" "-6913 -483 -258"
	"angles" "0 270 0"
	"model" "models/props_foliage/urban_tree_giant01_a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Porta potties by the park exit
{
	"classname" "prop_dynamic"
	"origin" "-8546 -2172 -248"
	"angles" "0 0 0"
	"model" "models/props_urban/outhouse001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8546 -3107 -248"
	"angles" "0 0 0"
	"model" "models/props_urban/outhouse001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on porta potties
{
	"classname" "env_physics_blocker"
	"origin" "-8547 -2172 756"
	"mins" "-29 -28 -896"
	"maxs" "29 28 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-8547 -3107 756"
	"mins" "-29 -28 -896"
	"maxs" "29 28 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Boxes in area before alley
{
	"classname" "prop_dynamic"
	"origin" "-8164 -2784 -254"
	"angles" "0 45 0"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on boxes due to spawn blocking potential
{
	"classname" "env_physics_blocker"
	"origin" "-8163 -2783 698"
	"mins" "-20 -34 -954"
	"maxs" "20 34 954"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Extend wall before the alley by the park exit
{
	"classname" "prop_dynamic"
	"origin" "-8205 -2976 -257"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8281 -2976 -257"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on wall
{
	"classname" "env_physics_blocker"
	"origin" "-8215 -2976 756"
	"mins" "-78 -12 -896"
	"maxs" "78 12 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Plywood to block LOS by the tent before the alley
{
	"classname" "prop_dynamic"
	"origin" "-8452 -3319 -248"
	"angles" "0 357.5 90"
	"model" "models/props_highway/plywood_03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8320 -3296 -254"
	"angles" "1.4 12.493 90"
	"model" "models/props_highway/plywood_03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Plywood to block LOS on the guard tower by the CEDA trailer
{
	"classname" "prop_dynamic"
	"origin" "-9768 -5290 -192"
	"angles" "0 270 -90"
	"model" "models/props_update/plywood_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-9873 -5290 -192"
	"angles" "0 270 -90"
	"model" "models/props_update/plywood_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-9764 -5260 -88"
	"angles" "0 90 90"
	"model" "models/props_highway/plywood_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-9763.9 -5175 -88"
	"angles" "0 90 90"
	"model" "models/props_highway/plywood_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-9860 -5176 -88"
	"angles" "0 180 90"
	"model" "models/props_highway/plywood_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-9952 -5175.9 -88"
	"angles" "0 180 90"
	"model" "models/props_highway/plywood_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-9950 -5252 -88"
	"angles" "0 270 90"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Chimney on first roof at event to jump onto the mostly clipped off roof above
{
	"classname" "prop_dynamic"
	"origin" "-8807 -4854 65"
	"angles" "0 0 0"
	"model" "models/props_urban/chimney007.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Army truck and crates outside the bus station exit
{
	"classname" "prop_dynamic"
	"origin" "-6697 -7598 -256"
	"angles" "0 8.5 0"
	"model" "models/props_vehicles/army_truck.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6692 -7755 -256"
	"angles" "0 8.5 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6650 -7748 -256"
	"angles" "0 8.5 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "-6673 -7743 -209"
	"angles" "0 98.5 0"
	"model" "models/props_crates/supply_crate01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6723 -7595 -192"
	"angles" "0 98.5 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "-6724 -7595 -146"
	"angles" "0 188.5 0"
	"model" "models/props_crates/supply_crate01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Bus to change the route at the end saferoom and allow more spawns
{
	"classname" "prop_dynamic"
	"origin" "-9184 -8265 -256"
	"angles" "0 22.5 0"
	"model" "models/props_vehicles/bus01_2.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "end_saferoom_bus_lighting"
}
; --- Bodies by the bus to add some visual flavor
{
	"classname" "prop_dynamic"
	"origin" "-8965 -8261 -256"
	"angles" "0 30 0"
	"model" "models/deadbodies/dead_male_civilian_02.mdl"
	"solid" "0"
	"disableshadows" "1"
	"lightingorigin" "end_saferoom_bus_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "-8973 -8193 -159"
	"angles" "4.98962 359.685 -4.01493"
	"model" "models/deadbodies/ceda/ceda_table_b.mdl"
	"solid" "0"
	"disableshadows" "1"
	"lightingorigin" "end_saferoom_bus_lighting"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-8922 -8183 -61"
	"targetname" "end_saferoom_bus_lighting"
}

; =====================================================
; ==                   LADDER NERF                   ==
; ==         Nerf ladder attacks for infected        ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS infected clips after loading
add:
{
	"classname" "logic_auto"
	; --- Clip on saferoom roof
	"OnMapSpawn" "anv_mapfixes_skybox_shielda,Kill,,15,-1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder to prevent perma-stuck spot behind fence near the saferoom
{
	"classname" "func_simpleladder"
	"origin" "306 700 4"
	"angles" "0 0 0"
	"model" "*55"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the roof above the police car at the start from behind the fence
{
	"classname" "func_simpleladder"
	"origin" "364 -1082 16"
	"angles" "0 0 0"
	"model" "*1"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get over concrete barricades outside the saferoom
{
	"classname" "func_simpleladder"
	"origin" "-6740 -6015.5 4"
	"angles" "0 180 0"
	"model" "*54"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder on tree to get on gazebo
{
	"classname" "func_simpleladder"
	"origin" "-3816.8 6577.06 1068.06"
	"angles" "0 45 12"
	"model" "*82"
	"normal.x" "-0.69"
	"normal.y" "0.69"
	"normal.z" "0.20"
	"team" "2"
}
; --- Clipping for survivors
{
	"classname" "env_physics_blocker"
	"origin" "-6930 -3802 174"
	"mins" "-15 -14 -397"
	"maxs" "15 14 397"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Clipping to assist infected
{
	"classname" "env_physics_blocker"
	"origin" "-6918 -3820 -23"
	"angles" "0 45 0"
	"mins" "-16 -6 -4"
	"maxs" "16 6 4"
	"boxmins" "-16 -6 -4"
	"boxmaxs" "16 6 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6918 -3825 -15"
	"angles" "0 45 0"
	"mins" "-16 -6 -4"
	"maxs" "16 6 4"
	"boxmins" "-16 -6 -4"
	"boxmaxs" "16 6 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6917 -3827 -7"
	"angles" "0 45 0"
	"mins" "-16 -6 -4"
	"maxs" "16 6 4"
	"boxmins" "-16 -6 -4"
	"boxmaxs" "16 6 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6935 -3841 1"
	"angles" "0 45 0"
	"mins" "-16 -6 -4"
	"maxs" "16 6 4"
	"boxmins" "-16 -6 -4"
	"boxmaxs" "16 6 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6939 -3848 9"
	"angles" "0 45 0"
	"mins" "-16 -6 -4"
	"maxs" "16 6 4"
	"boxmins" "-16 -6 -4"
	"boxmaxs" "16 6 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6943 -3857 17"
	"angles" "0 45 0"
	"mins" "-16 -6 -4"
	"maxs" "16 6 4"
	"boxmins" "-16 -6 -4"
	"boxmaxs" "16 6 4"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6945 -3850 16"
	"mins" "-5 -4 -4"
	"maxs" "5 4 4"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Infected ladders around the park exit
; --- Left side
{
	"classname" "func_simpleladder"
	"origin" "-15433 -6560 -16"
	"angles" "0 180 0"
	"model" "*64"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-313 1539 -16"
	"angles" "0 0 0"
	"model" "*64"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-2594 -651 -17"
	"angles" "0 0 0"
	"model" "*101"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Right side
{
	"classname" "func_simpleladder"
	"origin" "-15428 -5947 -17"
	"angles" "0 180 0"
	"model" "*64"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-313 2134 -16"
	"angles" "0 0 0"
	"model" "*64"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder on the fence on the right of the park exit
{
	"classname" "func_simpleladder"
	"origin" "1050 1259 -4"
	"angles" "0 0 0"
	"model" "*113"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder behind wall on the right side of the park exit behind the restrooms
{
	"classname" "func_simpleladder"
	"origin" "-16248 -4229 0"
	"angles" "0 180 0"
	"model" "*70"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get over wall in the corner on the left after exiting the park
{
	"classname" "func_simpleladder"
	"origin" "-13275 4992 -48"
	"angles" "0 90 0"
	"model" "*90"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb over the fence to the right of the CEDA trailer
{
	"classname" "func_simpleladder"
	"origin" "-533 -789 -10"
	"angles" "0 0 0"
	"model" "*25"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb on the porta potties at the event by the CEDA trailer
{
	"classname" "func_simpleladder"
	"origin" "-26.23 -1456.78 -27"
	"angles" "0 355 0"
	"model" "*22"
	"normal.x" "-0.08"
	"normal.y" "-0.99"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1600.29 568.42 -27"
	"angles" "0 5 0"
	"model" "*14"
	"normal.x" "-0.08"
	"normal.y" "0.99"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb on the platform on the roof by the bus station sign / L-shaped AC unit
{
	"classname" "func_simpleladder"
	"origin" "207 -2773 232"
	"angles" "0 0 0"
	"model" "*66"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-847 -2662 215"
	"angles" "0 0 0"
	"model" "*64"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Prop for ladder visibility
{
	"classname" "prop_dynamic"
	"origin" "-7904.5 -6709.5 56"
	"angles" "0 0 0"
	"model" "models/props_urban/chimney002.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7904.5 -6709.5 24"
	"angles" "0 0 0"
	"model" "models/props_urban/chimney002.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7904.5 -6709.5 -8"
	"angles" "0 0 0"
	"model" "models/props_urban/chimney002.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladder to get on the bridge above the alley
{
	"classname" "func_simpleladder"
	"origin" "993 -2883 448"
	"angles" "0 0 0"
	"model" "*25"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                PARK ROUTE REWORK                ==
; ==   Force players through the center of the park  ==
; =====================================================
add:
; --- Left side wall
{
	"classname" "prop_dynamic"
	"origin" "-5068 -3040 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_wall_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "-5144 -3040 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5220 -3040 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5296 -3040 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5372 -3040 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5448 -3040 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_wall_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "-5448 -3084 -256"
	"angles" "0 180 0"
	"model" "models/props_urban/gate_wall001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_wall_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "-5448 -3128 -256"
	"angles" "0 180 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_wall_lighting"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-5220 -3040 -256"
	"targetname" "left_wall_lighting"
}
; --- Left side hedges
{
	"classname" "prop_dynamic"
	"origin" "-5496 -3128 -207"
	"angles" "0 191.5 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_hedge_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5616 -3128 -207"
	"angles" "0 345 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_hedge_lighting2"
}
{
	"classname" "prop_dynamic"
	"origin" "-5728 -3112 -207"
	"angles" "0 345 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "left_hedge_lighting3"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-5496 -3128 -255"
	"targetname" "left_hedge_lighting1"
}
{
	"classname" "info_target"
	"origin" "-5616 -3128 -255"
	"targetname" "left_hedge_lighting2"
}
{
	"classname" "info_target"
	"origin" "-5616 -3128 -255"
	"targetname" "left_hedge_lighting3"
}
; --- Left side clipping
{
	"classname" "env_physics_blocker"
	"origin" "-5232 -3040 768"
	"mins" "-228 -12 -896"
	"maxs" "228 12 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5448 -3096 768"
	"mins" "-12 -44 -896"
	"maxs" "12 44 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5630 -3125 768"
	"mins" "-170 -35 -896"
	"maxs" "170 35 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Left side ladders
{
	"classname" "func_simpleladder"
	"origin" "-8069 5079 0"
	"angles" "0 90 0"
	"model" "*70"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-2370 -11159 0"
	"angles" "0 270 0"
	"model" "*70"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1059.64 -8268.08 -9"
	"angles" "0 286.5 0"
	"model" "*5"
	"normal.x" "0.95"
	"normal.y" "0.28"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-10617.34 2224.08 -9"
	"angles" "0 106.5 0"
	"model" "*5"
	"normal.x" "-0.95"
	"normal.y" "-0.28"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-12118 -6205 -14"
	"angles" "0 180 0"
	"model" "*5"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Right side wall
{
	"classname" "prop_dynamic"
	"origin" "-5068 -1376 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5144 -1376 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5220 -1376 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5296 -1376 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5372 -1376 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_wall001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "right_wall_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "-5448 -1376 -256"
	"angles" "0 90 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "right_wall_lighting"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-5220 -1376 -256"
	"targetname" "right_wall_lighting"
}
; --- Right side hedges
{
	"classname" "prop_dynamic"
	"origin" "-5536 -1376 -207"
	"angles" "0 196.5 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "right_hedge_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5660 -1388 -207"
	"angles" "0 358 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "right_hedge_lighting2"
}
{
	"classname" "prop_dynamic"
	"origin" "-5768 -1400 -207"
	"angles" "0 15 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "right_hedge_lighting3"
}
{
	"classname" "prop_dynamic"
	"origin" "-5848 -1456 -207"
	"angles" "0 60 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "right_hedge_lighting4"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "-5536 -1376 -255"
	"targetname" "right_hedge_lighting1"
}
{
	"classname" "info_target"
	"origin" "-5660 -1388 -255"
	"targetname" "right_hedge_lighting2"
}
{
	"classname" "info_target"
	"origin" "-5768 -1400 -255"
	"targetname" "right_hedge_lighting3"
}
{
	"classname" "info_target"
	"origin" "-5848 -1456 -255"
	"targetname" "right_hedge_lighting4"
}
; --- Right side clipping
{
	"classname" "env_physics_blocker"
	"origin" "-5232 -1376 768"
	"mins" "-228 -12 -896"
	"maxs" "228 12 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5534 -1375 768"
	"angles" "0 16.5 0"
	"mins" "-64 -21 -896"
	"maxs" "64 21 896"
	"boxmins" "-64 -21 -896"
	"boxmaxs" "64 21 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5662 -1388 768"
	"angles" "0 -2 0"
	"mins" "-64 -21 -896"
	"maxs" "64 21 896"
	"boxmins" "-64 -21 -896"
	"boxmaxs" "64 21 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5770 -1401 768"
	"angles" "0 15 0"
	"mins" "-64 -21 -896"
	"maxs" "64 21 896"
	"boxmins" "-64 -21 -896"
	"boxmaxs" "64 21 896"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-5848 -1458 768"
	"angles" "0 60 0"
	"mins" "-64 -21 -896"
	"maxs" "64 21 896"
	"boxmins" "-64 -21 -896"
	"boxmaxs" "64 21 896"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Right side ladders
{
	"classname" "func_simpleladder"
	"origin" "-2372 -9495 0"
	"angles" "0 270 0"
	"model" "*70"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-8070 6743 0"
	"angles" "0 90 0"
	"model" "*70"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-11144.86 -6035.90 -14"
	"angles" "0 195 0"
	"model" "*5"
	"normal.x" "0.25"
	"normal.y" "-0.96"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-373.13 3238.90 -14"
	"angles" "0 15 0"
	"model" "*5"
	"normal.x" "-0.25"
	"normal.y" "0.96"
	"normal.z" "0.00"
	"team" "2"
}

; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "-9656 -3342 -253"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "-9656 -3280 -252"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; --- CHRISTMAS LIGHTS
add:
{
	"classname" "info_particle_target"
	"targetname" "pmlite27"
	"origin" "-4217 -2208 -213"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite26"
	"origin" "-3973 -2209 -336"
	"angles" "0 90 0"
	"cpoint1" "pmlite27"
	"effect_name" "string_lights_05"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite28"
	"origin" "-3976 -2343 -336"
	"angles" "0 90 0"
	"cpoint1" "pmlite29"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite29"
	"origin" "-4217 -2460 -213"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite32"
	"origin" "-4348 -2959 -163.377"
	"angles" "90 270 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite30"
	"origin" "-4349.01 -2450 -165"
	"angles" "0 0 0"
	"cpoint1" "pmlite32"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite31"
	"origin" "-4349.01 -2302 -233.862"
	"angles" "90 270 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite38"
	"origin" "-4477 -2208 -225.214"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite37"
	"origin" "-4477 -2208 -193.214"
	"angles" "-30 270 0"
	"cpoint1" "pmlite38"
	"effect_name" "string_lights_heart_02"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite36"
	"origin" "-4477 -2208 -193.214"
	"angles" "-30 90 0"
	"cpoint1" "pmlite38"
	"effect_name" "string_lights_heart_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite34"
	"origin" "-4349 -2113 -233.862"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite33"
	"origin" "-4349 -1965 -165"
	"angles" "0 180 0"
	"cpoint1" "pmlite35"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite35"
	"origin" "-4350.01 -1597 -163.377"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite24"
	"origin" "-3978 -2076 -333"
	"angles" "0 90 0"
	"cpoint1" "pmlite25"
	"effect_name" "string_lights_04"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite25"
	"origin" "-4216 -1957 -213"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite17"
	"origin" "-3325 -1667 -250"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite16"
	"origin" "-3325 -1795 -250"
	"angles" "0 180 0"
	"cpoint1" "pmlite17"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite15"
	"origin" "-3325 -1796 -250"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite13"
	"origin" "-3325 -1924 -250"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite14"
	"origin" "-3325 -1922 -250"
	"angles" "0 180 0"
	"cpoint1" "pmlite15"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite12"
	"origin" "-3323 -2045 -250"
	"angles" "0 180 0"
	"cpoint1" "pmlite13"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite19"
	"origin" "-3296 -2880 -153"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite118"
	"origin" "-3293 -2499 -152.448"
	"angles" "0 180 0"
	"cpoint1" "pmlite19"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite20"
	"origin" "-3103 -2306 -150.825"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite22"
	"origin" "-2944 -2240 -262"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite21"
	"origin" "-2560 -2241 -259"
	"angles" "0 90 0"
	"cpoint1" "pmlite23"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite23"
	"origin" "-2176 -2236 -263"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite10"
	"origin" "-3697 -1438.8 -16"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite11"
	"origin" "-3325 -1538 -58"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite9"
	"origin" "-3197 -1061 6"
	"angles" "0 180 0"
	"cpoint1" "pmlite10"
	"effect_name" "string_lights_04"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite7"
	"origin" "-3712 -1085 -130.058"
	"angles" "0 180 0"
	"cpoint1" "pmlite8"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite8"
	"origin" "-3714 -516 -128.435"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite3"
	"origin" "-3650 -499 -237.988"
	"angles" "0 180 0"
	"cpoint1" "pmlite4"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite5"
	"origin" "-3650 -499 -251.988"
	"angles" "0 180 0"
	"cpoint1" "pmlite6"
	"effect_name" "string_lights_05"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite4"
	"origin" "-3653 5 -236.365"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite6"
	"origin" "-3653 5 -250.365"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite1"
	"origin" "-3135 -557 -191.734"
	"angles" "0 180 0"
	"cpoint1" "pmlite2"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite2"
	"origin" "-3135 61 -191.111"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite39"
	"origin" "-4982 -1990 58"
	"angles" "0 90 0"
	"cpoint1" "pmlite40"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite40"
	"origin" "-4982 -1990 -69"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite42"
	"origin" "-4763 -2205 56"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite41"
	"origin" "-4763 -2205 183"
	"angles" "0 90 0"
	"cpoint1" "pmlite42"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite44"
	"origin" "-4917 -2337 -69"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite43"
	"origin" "-4917 -2337 58"
	"angles" "0 90 0"
	"cpoint1" "pmlite44"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite45"
	"origin" "-5813 -332 -85"
	"angles" "0 90 0"
	"cpoint1" "pmlite46"
	"effect_name" "string_lights_05"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite53"
	"origin" "-5743 -934 44"
	"angles" "0 180 0"
	"cpoint1" "pmlite54"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite54"
	"origin" "-6331 -838 53"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite55"
	"origin" "-5321 -1281 -189"
	"angles" "0 90 0"
	"cpoint1" "pmlite56"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite56"
	"origin" "-5194 -872 -192"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite58"
	"origin" "-4963 -882 -184"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite57"
	"origin" "-5002 -1369 -70"
	"angles" "0 90 0"
	"cpoint1" "pmlite58"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite59"
	"origin" "-4996 -3046 -71"
	"angles" "0 180 0"
	"cpoint1" "pmlite60"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite60"
	"origin" "-5252 -3621 -80"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite61"
	"origin" "-6260 -3613 -168.448"
	"angles" "0 224 0"
	"cpoint1" "pmlite62"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite62"
	"origin" "-5852.49 -3958 -169"
	"angles" "90 134 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite63"
	"origin" "-7423 -850 -144.448"
	"angles" "0 180 0"
	"cpoint1" "pmlite64"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite64"
	"origin" "-7425 -1212 -145"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite65"
	"origin" "-8133 -1964 -54.448"
	"angles" "0 180 0"
	"cpoint1" "pmlite66"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite66"
	"origin" "-8130 -2455 -55"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite67"
	"origin" "-7091 -3802 6"
	"angles" "0 89.5 0"
	"cpoint1" "pmlite68"
	"cpoint2" "pmlite74"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite68"
	"origin" "-7248 -3800 5.448"
	"angles" "90 359.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite69"
	"origin" "-7089 -3435 6"
	"angles" "0 89.5 0"
	"cpoint1" "pmlite70"
	"cpoint2" "pmlite76"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite70"
	"origin" "-7246 -3433 5.448"
	"angles" "90 359.5 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite72"
	"origin" "-7352 -3693 5.448"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite71"
	"origin" "-7349 -3540 6"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite72"
	"cpoint2" "pmlite70"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite74"
	"origin" "-6986 -3692 5.448"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite73"
	"origin" "-6983 -3539 6"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite74"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite75"
	"origin" "-7248 -3799 6"
	"angles" "0 89.5 0"
	"cpoint1" "pmlite72"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite76"
	"origin" "-6982 -3538 5.448"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite78"
	"origin" "-7086 -3436 6"
	"angles" "0 89.5 0"
	"cpoint1" "pmlite76"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite80"
	"origin" "-7832 -3455 1"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite79"
	"origin" "-6792 -2614 -10"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite80"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite82"
	"origin" "-8482 -2750 -8"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite81"
	"origin" "-8482 -2237 -7.448"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite82"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite83"
	"origin" "-8482 -2237 -46.448"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite84"
	"effect_name" "string_lights_05"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite84"
	"origin" "-8482 -2750 -46"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite86"
	"origin" "-8384 -3840 -139"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite85"
	"origin" "-8382 -3520 -138.448"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite86"
	"effect_name" "string_lights_05"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite88"
	"origin" "-8417 -2045 125.448"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite87"
	"origin" "-8381 -955 126"
	"angles" "0 180 0"
	"cpoint1" "pmlite88"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite90"
	"origin" "-9216 -3328 -34"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite89"
	"origin" "-9213 -3197 -38"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite90"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite92"
	"origin" "-9153 -4614 -35.0741"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite91"
	"origin" "-9152 -4140 -34.5221"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite92"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite94"
	"origin" "-6784 -5307 -102.552"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite93"
	"origin" "-9344 -5307 -103"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite122"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite96"
	"origin" "-6976 -5532 -102.552"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite95"
	"origin" "-8192 -5531 -103"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite96"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite99"
	"origin" "-8051 -6529 437"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite100"
	"effect_name" "string_lights_04"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite97"
	"origin" "-8004 -6529 437"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite98"
	"effect_name" "string_lights_04"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite96"
	"origin" "-7771.82 -6452.76 -258.01"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite98"
	"origin" "-7722 -6345 -108"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite100"
	"origin" "-8472 -6345 -108"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite101"
	"origin" "-8639 -5886 -91"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite102"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite102"
	"origin" "-8642 -6462 -88.552"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite106"
	"origin" "-6690 -6258 65"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite104"
	"origin" "-6782 -6444 -80.552"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite103"
	"origin" "-6781 -5954 -82"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite104"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite105"
	"origin" "-6688 -6093 64"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite106"
	"effect_name" "string_lights_05"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite108"
	"origin" "-7415 -7107 -111"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite109"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite109"
	"origin" "-7418 -7613 -110"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite110"
	"origin" "-7416 -7621 -111"
	"angles" "0 179.5 0"
	"cpoint1" "pmlite111"
	"effect_name" "string_lights_06"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite111"
	"origin" "-7413 -8124 -110"
	"angles" "90 89.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite112"
	"origin" "-7924 -8656 2"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite113"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite113"
	"origin" "-6920 -8665 3"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite116"
	"origin" "-8949 -8651 2"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite115"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite115"
	"origin" "-7945 -8660 3"
	"angles" "90 179.5 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite117"
	"origin" "-3197 -1060 6"
	"angles" "0 180 0"
	"cpoint1" "pmlite11"
	"effect_name" "string_lights_04"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite18"
	"origin" "-3293 -2500 -152.448"
	"angles" "0 180 0"
	"cpoint1" "pmlite20"
	"effect_name" "string_lights_06_droopy"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite119"
	"origin" "-2561 -2241 -259"
	"angles" "0 90 0"
	"cpoint1" "pmlite22"
	"effect_name" "string_lights_01"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite120"
	"origin" "-4349 -1966 -165"
	"angles" "0 180 0"
	"cpoint1" "pmlite34"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite121"
	"origin" "-4349.01 -2449 -165"
	"angles" "0 0 0"
	"cpoint1" "pmlite31"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite123"
	"origin" "-8064 -5307 -103"
	"angles" "0 269.5 0"
	"cpoint1" "pmlite94"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite122"
	"origin" "-8064 -5307 -103"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite46"
	"origin" "-4732 -796 131"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite124"
	"origin" "-7423 -514 -144.448"
	"angles" "0 180 0"
	"cpoint1" "pmlite125"
	"effect_name" "string_lights_02"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite125"
	"origin" "-7423 -850 -144.448"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite126"
	"origin" "-5837 -329 -85"
	"angles" "0 90 0"
	"cpoint1" "pmlite127"
	"effect_name" "string_lights_03"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite127"
	"origin" "-6249 -680 -27"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite128"
	"origin" "-5666 -1061 -32"
	"angles" "0 180 0"
	"cpoint1" "pmlite129"
	"effect_name" "string_lights_04"
	"start_active" "1"
}
{
	"classname" "info_particle_target"
	"targetname" "pmlite129"
	"origin" "-4895 -2182 38"
	"angles" "90 90 0"
}
{
	"classname" "info_particle_system"
	"targetname" "pmlite130"
	"origin" "-5001 -3029 -64"
	"angles" "0 180 0"
	"cpoint1" "pmlite129"
	"effect_name" "string_lights_02"
	"start_active" "1"
}